
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/commons/taglibs.jsp"%>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%@ include file="/commons/meta.jsp"%>
<base href="<%=basePath%>">
<title>添加应用</title>
<script type="text/javascript">
	function createActUser(values, names) {
		$("#appManagerIds").val(values.replace(/USER#/g, ""));
		$("#appManagerNames").val(names);
	}

	function updateApp(){
		$.post('${ctx}/applicationMgr/update.do',$('#myform').serialize(),function(result){
			alert(result);
			art.dialog.opener.location.reload();
		});
	}

	$(function(){
		var demo = $("#myform").Validform({
			tiptype:function(msg,o,cssctl){
				var b = true;
				//msg：提示信息;
				//o:{obj:*,type:*,curform:*}, obj指向的是当前验证的表单元素（或表单对象），type指示提示的状态，值为1、2、3、4， 1：正在检测/提交数据，2：通过验证，3：验证失败，4：提示ignore状态, curform为当前form对象;
				//cssctl:内置的提示信息样式控制函数，该函数需传入两个参数：显示提示信息的对象 和 当前提示的状态（既形参o中的type）;
				if(o.type==3){
					if(msg.indexOf("statusText")<0){
						//排除掉提交完成后返回的状态字符串
						alert(msg);
						b = false;
						return b;
					}
				}
				return b;
			},
			callback:function(data){
				if('操作成功' == data.statusText){
					alert("操作成功");
					art.dialog.opener.location.reload();
				}else{
					alert("操作失败");
				}
			},
			ajaxPost:true
		});
		$("#submitButton").click(function(){
			demo.ajaxPost();
			return false;
		});
	})
</script>
</head>
<body class="white-page">
<form action="${ctx}/applicationMgr/update.do" id="myform" name="myform" method="post">
	<div class="main-container" id="main-container">
		<div class="panel panel-primary">

			<div class="panel-body">
				<table border="0" cellspacing="0" cellpadding="0" class="table table-bordered form-table" id="myTable">
					<!-- 存放表单的区域 -->
					<tr>
						<th>系统标识：<font color="red">*</font></th>
						<td><input type="text" name="appId" name="appId"
								   value="${ application.appId}" readonly="readonly"
								   datatype="s1-50" nullmsg="请输入系统标识！" errormsg="系统标识不能超过50个字符！"/></td>
						<th>系统名称：<font color="red">*</font>
						</th>
						<td><input type="text" name="appName"
								   value="${ application.appName}" id="appName"
								   class="validate[required,length[0,50]]"
								   datatype="*1-50" nullmsg="请输入系统名称！" errormsg="系统名称不能超过12个字符！"/></td>
					</tr>
					<tr>
						<th>系统分类：</th>
						<td><select id="appType" name="appType"
									value="${application.appType }"><option value="inner">内部应用</option>
							<option value="outside">外部应用</option></select></td>
						<th>系统状态：<font color="red">*</font>
						</th>
						<td><select id="appStatus" name="appStatus"
									value="${application.appStatus }"><option value="N">正常</option>
							<option value="T">已停用</option></select></td>
					</tr>
					<tr>
						<th>开发厂商：<font color="red">*</font>
						</th>
						<td><input type="text" name="appProvider"
								   value="${application.appProvider }" id="appProvider"
								   datatype="*1-30" nullmsg="请输入开发厂商！" errormsg="开发厂商不能超过30个字符！"
								   class="input" /></td>
						<th><u
								onclick="showDiaLog('${ctx}/pages/user_org_select.jsp?showTreeType=USER&isMultiSelect=true&roleFlag=false&orgId=0', '添加管理人员', '800px', '500px');"
								style="cursor: pointer;">管理员</u>：<font color="red">*</font></th>
						<td><input type="text" name="appManagerNames"	id="appManagerNames" class="input"
								   readonly="readonly" datatype="*1-500" nullmsg="请选择管理员！"
								   value="${application.managerNames }" readonly="readonly"/>
							<input type="hidden"	name="appManagerIds" id="appManagerIds" value="${application.managerIds }" class="input" /></td>
					</tr>
					<!--
						<tr>
							<th>待办URL：<font color="red">*</font></th>
							<td colspan="3"><input type="text" name="appAccessUrl"
								value="${ application.appAccessUrl}" id="appAccessUrl"
								datatype="*" nullmsg="请输入待办URL！" errormsg="请输入正确的url地址"
								class="input" style="width: 99%;"/></td>
						</tr>
						 -->
					<tr>
						<th>联系人：</th>
						<td><input type="text" name="appLinkman"
								   value="${application.appLinkman }" id="appLinkman" class="input" />
						</td>
						<th>联系电话：</th>
						<td><input type="text" name="appPhone"
								   value="${application.appPhone }" id="appPhone" class="input" />
						</td>
					</tr>
					<tr>
						<th>服务器IP列表：</th>
						<td colspan="3"><input type="text" name="ipList" id="ipList" class="input" style="width:99%;" value="${application.ipList }" /></td>
					</tr>
					<tr>
						<th>系统描述：</th>
						<td colspan="3"><input type="text" name="appDesc"
											   value="${application.appDesc }" id="appDesc" class="input" style="width: 99%;"/></td>
					</tr>
				</table>
				<div class="col-md-offset-1 col-md-9" style="text-align: center;">
					<button type="button" class="btn btn-sm btn-primary"
							id="submitButton" >
						保存
						<i class="ace-icon fa fa-save bigger-110"></i>
					</button>
				</div>
			</div>
		</div>
	</div>
</form>
</body>
</html>